<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'fi_co', version '2.0'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'Annetaan rooli \'{$a->role_shortname}\' käyttäjälle \'{$a->user_username}\' työtilassa \'{$a->course_shortname}\' (id {$a->course_id})';
$string['assignrolefailed'] = 'Ei voitu antaa roolia \'{$a->role_shortname}\' käyttäjälle \'{$a->user_username}\' työtilassa \'{$a->course_shortname}\' (id {$a->course_id})';
$string['autocreate'] = 'Työtila-alueet voidaan luoda automaattisesti, jos sellaisille työtiloille on ilmoittautumisia, jota ei vielä ole Moodlessa.';
$string['autocreation_settings'] = 'Automaattisen työtilan luonnin asetukset';
$string['cannotcreatecourse'] = 'Ei voitu luoda työtilaa: LDAP-merkinnästä puuttuu vaadittava tieto';
$string['category'] = 'Kategoria automaattisesti luoduille työtiloille.';
$string['course_idnumber'] = 'Linkitä yksilölliseen tunnukseen LDAPssa, yleensä  <em>cn</em> tai <em>uid</em>. On suositeltavaa lukita arvo, jos käytät automaattista työtilan luontia.';
$string['course_settings'] = 'Työtilan ilmoittautumisen asetukset';
$string['coursenotexistskip'] = 'Työtilaa \'{$a}\' ei ole olemassa eikä automaattinen luonti ole päällä, ohitetaan';
$string['createcourseextid'] = 'LUO Käyttäjä kirjautunut olemattomalle työtilalle \'{$a->courseextid}';
$string['createnotcourseextid'] = 'Käyttäjä kirjautunut olemattomalle työtilalle \'{$a->courseextid}';
$string['creatingcourse'] = 'Luodaan työtila \'{$a}\'...';
$string['emptyenrolment'] = 'Tyhjä kirjautuminen roolille \'{$a->role_shortname}\' työtilassa \'{$a->course_shortname}';
$string['enroluser'] = 'Ilmoita käyttäjä \'{$a->user_username}\' työtilaan \'{$a->course_shortname}\' (id {$a->course_id})';
$string['enroluserenable'] = 'Mahdollistettiin kirjautuminen käyttäjälle \'{$a->user_username}\' työtilaan \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extcourseidinvalid'] = 'Työtilan ulkoinen id ei kelpaa!';
$string['extremovedsuspend'] = 'Estettiin kirjautuminen käyttäjältä \'{$a->user_username}\' työtilassa \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedsuspendnoroles'] = 'Estettiin kirjautuminen ja poistettiin roolit käyttäjältä \'{$a->user_username}\' työtilassa \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedunenrol'] = 'Poista käyttäjän oikeudet \'{$a->user_username}\' työtilasta \'{$a->course_shortname}\' (id {$a->course_id})';
$string['objectclass'] = 'objektiLuokka jolla etsitään työtiloista. Yleensä \'posixGroup\'.';
$string['pluginname_desc'] = '<p>Voit käyttää LDAP-palvelinta hallinnoidaksesi ilmoittautumisia. Tällöin oletetaan että LDAP-puusi sisältää ryhmät, jotka liittyvät työtiloihin ja että jokainen näistä ryhmistä/työtiloista tulee sisältämään jäsenyysrekisterin, johon oppilaat liitetään.</p>

<p>Oletetaan myös, että työtilat määritellään ryhminä LDAPssä ja että jokaisessa ryhmässä on useita jäsenyyskenttiä (<em>member</em> or <em>memberUid</em>), jotka sisältävät yksilöllisen identiteetin käyttäjillä.</p>

<p>Käyttääksesi LDAP-ilmoittautumisia käyttäjilläsi <strong>täytyy</strong> olla kelvollinen id-numero kentässään. LDAP-ryhmillä täytyy olla tämä id-numero jäsenyyskentässään, jotta käyttäjä voi liittyä työtilaan. Yleensä tämä toimii hyvin, jos käytät jo LDAP-varmennusta.</p>

<p>Ilmoittautumiset päivitetään kun käyttäjät kirjautuvat sisään. Voit myös ajaa scriptin, joka pitää ilmoittautumiset synkronoituina. Se löytyy  <em>enrol/ldap/enrol_ldap_sync.php</em> polulta.</p>

<p>Tämä laajennus voidaan myös asettaa luomaan uusia työtiloja kun LDAPhen luodaan uusia ryhmiä.</p>';
$string['role_mapping'] = '<p>Jokaiselle roolille jotka haluat jakaa LDAPista täytyy määrittää lista konteksteista, joissa roolityötilojen ryhmät sijaitsevat. Erota eri kontekstit puolipilkulla \';\'.</p><p>Sinun täytyy myös määrittää LDAP-palvelimesi ryhmän jäsenien pitämiseen käyttämä atribuutti. Yleensä \'member\' tai \'memberUid\'</p>';
$string['synccourserole'] = '== Synkronoidaan työtila \'{$a->idnumber}\' roolille \'{$a->role_shortname}';
$string['template'] = 'Valinnainen: automaattisesti luodut työtilat voivat kopioida asetuksensa käyttäen pohjana mallityötilan asetuksia.';
$string['unassignrole'] = 'Poistetaan rooli \'{$a->role_shortname}\' käyttäjältä \'{$a->user_username}\' työtilassa \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignrolefailed'] = 'Ei voitu poistaa roolia \'{$a->role_shortname}\' käyttäjältä \'{$a->user_username}\' työtilassa \'{$a->course_shortname}\' (id {$a->course_id})';
